Subject: [PATCH 1/2] mfd: add irq domain support for max8997 interrupts

From: [email-masked] (Mark Brown)
Date: Fri, 9 Dec 2011 14:39:13 +0800

On Fri, Dec 09, 2011 at 12:00:07PM +0530, Thomas Abraham wrote:

> If these gpio's are connected to the host system, and host system sets
> up gpio interrupt notification for these gpio lines, the linux irq
> number for the gpio interrupt would belong to the irq domain of the
> host interrupt controller (gic irq domain in case of exynos).
> Consumers of this interrupt would use the gpio interrupt independent
> of the max8997 irq domain. So irq_base can be maintained private to
> the max8997 mfd driver and its sub-block drivers.

How would you provide this interrupt to the device using it in a non-DT
systemm without passing the irq_base into the device as platform data?